#include <iostream>
#include <cstdlib>
#include <ctime>
#include "stack.hpp"
using namespace std;

int main()
{
    srand(time(0));

    Stack<int> myStack;

    Stack<int> myNewStack = myStack; // lemásoljuk az üres vermet

    cout << "Első verem:" << endl;

    for (int i = 0; i < 10; i++)
    {
        int v = rand() % 1000;
        cout << v << endl;
        myStack.push(v);
    }

    cout << "Második verem:" << endl;

    for (int i = 0; i < 10; i++)
    {
        int v = rand() % 1000;
        cout << v << endl;
        myNewStack.push(v);
    }

    cout << endl << endl << "Az első verem fordítva:" << endl;
    while (!myStack.isEmpty())
        cout << " " << myStack.pop();

    myStack = myNewStack;

    cout << endl << endl << "A második verem fordítva:" << endl;
    while (!myStack.isEmpty())
        cout << " " << myStack.pop();

    return 0;
} // itt fut le a verem destruktora
